const int max_number_of_slave_devices = 4;
const int max_number_ir_control_codes = 10;

struct st_devices {
  decode_type_t ir_protocol;
  int ir_length_code;
  long control_code[max_number_ir_control_codes];
};

struct ps_programming {
  /* HOUR for init and end PRESENCE SIMULATION INTERVAL 1*/
  int hour_init_ps_1;
  int hour_end_ps_1;
  /* HOUR for init and end PRESENCE SIMULATION INTERVAL 2*/
  int hour_init_ps_2;
  int hour_end_ps_2;
  /* MIN and MAX delay time in MINUTES between actions */
  int min_minutes_next_action_ir;
  int max_minutes_next_action_ir;
  int min_minutes_next_action_light;
  int max_minutes_next_action_light;
};


